Debian Bug report logs - #450748
libapache2-mod-fcgid: Please add support for TCP/IP FastCGI servers

version graph

Package: libapache2-mod-fcgid; Maintainer for libapache2-mod-fcgid is Felix Geyer <fgeyer@debian.org>; Source for libapache2-mod-fcgid is src:libapache2-mod-fcgid.

Reported by: Olaf van der Spek <OlafvdSpek@GMail.Com>

Date: Fri, 9 Nov 2007 21:45:01 UTC

Severity: wishlist

Tags: wontfix

Found in version libapache2-mod-fcgid/1:2.2-1

Done: Felix Geyer <fgeyer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tatsuki Sugiura <sugi@nemui.org>:
Bug#450748; Package libapache2-mod-fcgid. Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <OlafvdSpek@GMail.Com>:
New Bug report received and forwarded. Copy sent to Tatsuki Sugiura <sugi@nemui.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <OlafvdSpek@GMail.Com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libapache2-mod-fcgid: Please add support for TCP/IP FastCGI servers
Date: Fri, 09 Nov 2007 22:39:17 +0100
Package: libapache2-mod-fcgid
Version: 1:2.2-1
Severity: wishlist

Hi,

I've got a FastCGI app that's listening on a TCP/IP socket and I'd like this mod to connect to it. However, I don't see any directive in the documentation to specify host and port. So I assume it's not (yet) supported.
Could you please add support for this configuration?

Greetings,

Olaf

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages libapache2-mod-fcgid depends on:
ii  apache2.2-common              2.2.6-2    Next generation, scalable, extenda
ii  libc6                         2.6.1-6    GNU C Library: Shared libraries

libapache2-mod-fcgid recommends no packages.

-- debconf information:
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory




Information forwarded to debian-bugs-dist@lists.debian.org, Tatsuki Sugiura <sugi@nemui.org>:
Bug#450748; Package libapache2-mod-fcgid. (Fri, 03 Sep 2010 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Tatsuki Sugiura <sugi@nemui.org>. (Fri, 03 Sep 2010 11:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 450748@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 450748-submitter@bugs.debian.org
Cc: 450748@bugs.debian.org
Subject: Re: libapache2-mod-fcgid: Please add support for TCP/IP FastCGI servers
Date: Fri, 03 Sep 2010 12:25:08 +0100
Hi Olaf,

If you already have an application running and listening with a TCP
socket, do you really need the spawning/lifetime management features of
mod_fcgid? It seems like mod_proxy_fcgi would be more useful to you.

Regards,

-- 
Sam Morris <sam@robots.org.uk>





Message sent on to Olaf van der Spek <OlafvdSpek@GMail.Com>:
Bug#450748. (Fri, 03 Sep 2010 11:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tatsuki Sugiura <sugi@nemui.org>:
Bug#450748; Package libapache2-mod-fcgid. (Fri, 03 Sep 2010 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olafvdspek@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tatsuki Sugiura <sugi@nemui.org>. (Fri, 03 Sep 2010 11:39:03 GMT) Full text and rfc822 format available.

Message #18 received at 450748@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olafvdspek@gmail.com>
To: Sam Morris <sam@robots.org.uk>
Cc: 450748@bugs.debian.org
Subject: Re: Bug#450748: libapache2-mod-fcgid: Please add support for TCP/IP FastCGI servers
Date: Fri, 3 Sep 2010 13:37:39 +0200
On Fri, Sep 3, 2010 at 1:25 PM, Sam Morris <sam@robots.org.uk> wrote:
> Hi Olaf,
>
> If you already have an application running and listening with a TCP
> socket, do you really need the spawning/lifetime management features of
> mod_fcgid?

No, I don't.

> It seems like mod_proxy_fcgi would be more useful to you.

What's the package name of that mod?

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, Tatsuki Sugiura <sugi@nemui.org>:
Bug#450748; Package libapache2-mod-fcgid. (Fri, 03 Sep 2010 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Tatsuki Sugiura <sugi@nemui.org>. (Fri, 03 Sep 2010 11:54:03 GMT) Full text and rfc822 format available.

Message #23 received at 450748@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Olaf van der Spek <olafvdspek@gmail.com>
Cc: 450748@bugs.debian.org
Subject: Re: Bug#450748: libapache2-mod-fcgid: Please add support for TCP/IP FastCGI servers
Date: Fri, 03 Sep 2010 12:51:59 +0100
On Fri, 2010-09-03 at 13:37 +0200, Olaf van der Spek wrote:
> On Fri, Sep 3, 2010 at 1:25 PM, Sam Morris <sam@robots.org.uk> wrote:
> > Hi Olaf,
> >
> > If you already have an application running and listening with a TCP
> > socket, do you really need the spawning/lifetime management features of
> > mod_fcgid?
> 
> No, I don't.
> 
> > It seems like mod_proxy_fcgi would be more useful to you.
> 
> What's the package name of that mod?

Hm, it appears it's not packaged. Sorry about that. It is a part of
Apache 2.3 however, so it will be in the 2.4 stable release series.

-- 
Sam Morris <sam@robots.org.uk>





Information forwarded to debian-bugs-dist@lists.debian.org, Tatsuki Sugiura <sugi@nemui.org>:
Bug#450748; Package libapache2-mod-fcgid. (Fri, 03 Sep 2010 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olaf van der Spek <olafvdspek@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tatsuki Sugiura <sugi@nemui.org>. (Fri, 03 Sep 2010 12:03:03 GMT) Full text and rfc822 format available.

Message #28 received at 450748@bugs.debian.org (full text, mbox):

From: Olaf van der Spek <olafvdspek@gmail.com>
To: Sam Morris <sam@robots.org.uk>
Cc: 450748@bugs.debian.org
Subject: Re: Bug#450748: libapache2-mod-fcgid: Please add support for TCP/IP FastCGI servers
Date: Fri, 3 Sep 2010 14:00:58 +0200
On Fri, Sep 3, 2010 at 1:51 PM, Sam Morris <sam@robots.org.uk> wrote:
> Hm, it appears it's not packaged. Sorry about that. It is a part of
> Apache 2.3 however, so it will be in the 2.4 stable release series.

2.4 isn't released and it'll certainly not be part of Squeeze.

Olaf




Information forwarded to debian-bugs-dist@lists.debian.org, Tatsuki Sugiura <sugi@nemui.org>:
Bug#450748; Package libapache2-mod-fcgid. (Fri, 11 Jan 2013 10:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérôme Warnier <jwarnier@beeznest.net>:
Extra info received and forwarded to list. Copy sent to Tatsuki Sugiura <sugi@nemui.org>. (Fri, 11 Jan 2013 10:21:06 GMT) Full text and rfc822 format available.

Message #33 received at 450748@bugs.debian.org (full text, mbox):

From: Jérôme Warnier <jwarnier@beeznest.net>
To: 450748@bugs.debian.org
Cc: Olaf van der Spek <olafvdspek@gmail.com>, Sam Morris <sam@robots.org.uk>
Subject: Re: Re: Bug#450748: libapache2-mod-fcgid: Please add support for TCP/IP
Date: Fri, 11 Jan 2013 11:08:34 +0100
Apache 2.4 is not even planned for Wheezy anymore, so please could you
point us to any applicable solution in the meantime?




Added tag(s) wontfix. Request was from Felix Geyer <fgeyer@debian.org> to control@bugs.debian.org. (Sat, 10 Aug 2013 08:57:12 GMT) Full text and rfc822 format available.

Reply sent to Felix Geyer <fgeyer@debian.org>:
You have taken responsibility. (Sat, 10 Aug 2013 09:03:28 GMT) Full text and rfc822 format available.

Notification sent to Olaf van der Spek <OlafvdSpek@GMail.Com>:
Bug acknowledged by developer. (Sat, 10 Aug 2013 09:03:28 GMT) Full text and rfc822 format available.

Message #40 received at 450748-done@bugs.debian.org (full text, mbox):

From: Felix Geyer <fgeyer@debian.org>
To: 450748-done@bugs.debian.org
Subject: Re: Bug#450748: libapache2-mod-fcgid: Please add support for TCP/IP FastCGI servers
Date: Sat, 10 Aug 2013 11:00:32 +0200
Closing this now as Apache 2.4 has migrated to testing.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Sep 2013 07:28:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:45:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.